#!/ezxlocal/extsys/bin/busybox ash
export PATH=$PATH:/ezxlocal/extsys/bin:/ezxlocal/extsys/bin/bluez
export MODULES_LIB=/ezxlocal/extsys/lib/modules

case "$1" in
	start) 
		
		insmod ${MODULES_LIB}/ip_conntrack.o -f
		insmod ${MODULES_LIB}/ip_tables.o -f
		insmod ${MODULES_LIB}/ip_conntrack_ftp.o -f
		insmod ${MODULES_LIB}/iptable_nat.o -f
		insmod ${MODULES_LIB}/iptable_mangle.o -f
		insmod ${MODULES_LIB}/ipt_MASQUERADE.o -f
		insmod ${MODULES_LIB}/ipt_ROUTE.o -f
		insmod ${MODULES_LIB}/certi.o -f
		insmod ${MODULES_LIB}/bcm2045.o -f
		insmod ${MODULES_LIB}/bluez.o -f
		insmod ${MODULES_LIB}/l2cap.o -f
		insmod ${MODULES_LIB}/hci_uart.o -f
		insmod ${MODULES_LIB}/bnep.o -f
	;;
	
	stop)


		rmmod bcm2045
		rmmod certi

		
		insmod ${MODULES_LIB}/l2cap.o
		insmod ${MODULES_LIB}/hci_uart.o
		insmod ${MODULES_LIB}/bnep.o
		insmod ${MODULES_LIB}/bluez.o
		

		iptables -t nat -F
		iptables -t mangle -F
		rmmod ipt_ROUTE
		rmmod ipt_MASQUERADE
		rmmod iptable_mangle
		rmmod iptable_nat
		rmmod ip_conntrack_ftp
		rmmod ip_tables
		rmmod ip_conntrack
esac




