#!/bin/bash
. /home/native/.profile

myfile=`basename $0`
mypath=`echo $0 | sed -e 's/'$myfile'//g'`
cd $mypath

umount /ezxlocal/extsys/dev
umount /ezxlocal/extsys

mkdir /ezxlocal/extsys
mount -o bind $mypath /ezxlocal/extsys

export PATH=$PATH:/ezxlocal/extsys/bin:/ezxlocal/extsys/bin/bluez


start-stop-daemon -S -u root -x /ezxlocal/extsys/shells/devs.sh
start-stop-daemon -S -u root -x /ezxlocal/extsys/shells/modules.sh start

. /ezxlocal/extsys/etc/bluetooth/blue.cfg
exec /ezxlocal/extsys/bin/bluetooth




